BuilderPreferenceConstants (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.BuilderPreferenceConstants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class BuilderPreferenceConstants

    java.lang.Object
      com.nokia.carbide.cdt.builder.BuilderPreferenceConstants

    public class BuilderPreferenceConstants

extends java.lang.Object

This file defines constants for the Carbide.c++ builder global preferences. The preference store can be retrieved with a call to:
`IPreferenceStore store = CarbideBuilderPlugin.getDefault().getPreferenceStore();` and then using the appropriate API to read/write settings.
CAUTION: Preference values change from release to release so use these sparingly. As well, writing preference store data may have functional impact on other areas that read these settings.

Field Summary
`static java.lang.String` | `PREF_BUILD_TEST_COMPS` Boolean "Build test components when building from bld.inf".
`static java.lang.String` | `PREF_CLEAN_LEVEL` Integer setting for "Clean Level".
`static java.lang.String` | `PREF_CLEAN_LEVEL_V2` Integer setting for "Clean Level" for SBSv2.
`static java.lang.String` | `PREF_CONCURRENT_BUILD_JOBS` Integer setting for number of "Build Jobs"
`static java.lang.String` | `PREF_DEBUG_MODE` Boolean setting for "Debug mode"
`static java.lang.String` | `PREF_DEFAULT_MMP_CHANGED_ACTION` Integer setting for "Default action to take when mmp files are modified".
`static java.lang.String` | `PREF_KEEP_GOING` Boolean setting for "Keep going"
`static java.lang.String` | `PREF_MAKE_ENGINE` String setting for "Make engine"
`static java.lang.String` | `PREF_MANAGE_DEPENDENCIES` Boolean setting for "Manage dependency tracking".
`static java.lang.String` | `PREF_MMP_CHANGED_ACTION_PROMPT` Boolean setting for "Show a dialog to modify build actions when modified MMPs are detected"
`static java.lang.String` | `PREF_OVERRIDE_MAKE_ENGINE` Boolean setting for "Override make engine"
`static java.lang.String` | `PREF_USE_BUILIN_X86_VARS` Boolean setting for "Use built-in Nokia x86 environment variables for WINSCW builds".
`static java.lang.String` | `PREF_USE_CONCURRENT_BUILDING` Boolean setting for "Run builds concurrently".
`static java.lang.String` | `PREF_USE_INCREMENTAL_BUILDER` Boolean setting for "Use default incremental builder"

Constructor Summary
`BuilderPreferenceConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREF_USE_BUILIN_X86_VARS

    public static final java.lang.String PREF_USE_BUILIN_X86_VARS

  Boolean setting for "Use built-in Nokia x86 environment variables for WINSCW builds".

  See Also:
    Constant Field Values

### PREF_BUILD_TEST_COMPS

    public static final java.lang.String PREF_BUILD_TEST_COMPS

  Boolean "Build test components when building from bld.inf".

  See Also:
    Constant Field Values

### PREF_MANAGE_DEPENDENCIES

    public static final java.lang.String PREF_MANAGE_DEPENDENCIES

  Boolean setting for "Manage dependency tracking".

  See Also:
    Constant Field Values

### PREF_USE_CONCURRENT_BUILDING

    public static final java.lang.String PREF_USE_CONCURRENT_BUILDING

  Boolean setting for "Run builds concurrently".

  See Also:
    Constant Field Values

### PREF_CONCURRENT_BUILD_JOBS

    public static final java.lang.String PREF_CONCURRENT_BUILD_JOBS

  Integer setting for number of "Build Jobs"

  See Also:
    Constant Field Values

### PREF_USE_INCREMENTAL_BUILDER

    public static final java.lang.String PREF_USE_INCREMENTAL_BUILDER

  Boolean setting for "Use default incremental builder"

  See Also:
    Constant Field Values

### PREF_CLEAN_LEVEL

    public static final java.lang.String PREF_CLEAN_LEVEL

  Integer setting for "Clean Level". Zero based index of menu item selected.

  See Also:
    Constant Field Values

### PREF_MMP_CHANGED_ACTION_PROMPT

    public static final java.lang.String PREF_MMP_CHANGED_ACTION_PROMPT

  Boolean setting for "Show a dialog to modify build actions when modified MMPs are detected"

  See Also:
    Constant Field Values

### PREF_DEFAULT_MMP_CHANGED_ACTION

    public static final java.lang.String PREF_DEFAULT_MMP_CHANGED_ACTION

  Integer setting for "Default action to take when mmp files are modified". Zero based index of menu item selected.

  See Also:
    Constant Field Values

### PREF_CLEAN_LEVEL_V2

    public static final java.lang.String PREF_CLEAN_LEVEL_V2

  Integer setting for "Clean Level" for SBSv2. Zero based index of menu item selected.

  Since:
    2.0
  See Also:
    Constant Field Values

### PREF_KEEP_GOING

    public static final java.lang.String PREF_KEEP_GOING

  Boolean setting for "Keep going"

  Since:
    2.0
  See Also:
    Constant Field Values

### PREF_DEBUG_MODE

    public static final java.lang.String PREF_DEBUG_MODE

  Boolean setting for "Debug mode"

  Since:
    2.0
  See Also:
    Constant Field Values

### PREF_OVERRIDE_MAKE_ENGINE

    public static final java.lang.String PREF_OVERRIDE_MAKE_ENGINE

  Boolean setting for "Override make engine"

  Since:
    2.0
  See Also:
    Constant Field Values

### PREF_MAKE_ENGINE

    public static final java.lang.String PREF_MAKE_ENGINE

  String setting for "Make engine"

  Since:
    2.0
  See Also:
    Constant Field Values

Constructor Detail

### BuilderPreferenceConstants

    public BuilderPreferenceConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD